# TdApi.ReplyMarkup (TDLight API 4.0.458 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: ReplyMarkup

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ReplyMarkup

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ReplyMarkup

Direct Known Subclasses:
  `TdApi.ReplyMarkupForceReply`, `TdApi.ReplyMarkupInlineKeyboard`, `TdApi.ReplyMarkupRemoveKeyboard`, `TdApi.ReplyMarkupShowKeyboard`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.ReplyMarkup extends TdApi.Object permits TdApi.ReplyMarkupRemoveKeyboard, TdApi.ReplyMarkupForceReply, TdApi.ReplyMarkupShowKeyboard, TdApi.ReplyMarkupInlineKeyboard
This class is an abstract base class. Contains a description of a custom keyboard and actions that can be done with it to quickly reply to bots.

## Constructor Summary

Constructors
Constructor
Description
`ReplyMarkup()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ReplyMarkup

public ReplyMarkup()
Default class constructor.